Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.connector
Class DocumentRecord

    java.lang.Object
      |
      +--com.bea.document.internal.Document
            |
            +--com.bea.connector.DocumentRecord

Direct Known Subclasses:
  DocumentDefinitionRecord

public class DocumentRecord
extends com.bea.document.internal.Document
implements javax.resource.cci.Record

This class allows Documents to implement the javax.resource.cci.Record interface.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class com.bea.document.internal.Document
`m_verbose`

Constructor Summary
`DocumentRecord()` Default Document Record constructor.
`DocumentRecord(org.w3c.dom.Document doc)` Construct Document Record from a DOM Document.
`DocumentRecord(org.w3c.dom.Element element)` Construct Document Record from an Element.
`DocumentRecord(IDocument doc)` Construct Document Record from IDocument.
`DocumentRecord(org.xml.sax.InputSource inputSource)` Construct Document Record from an SAX InputSource.
`DocumentRecord(java.lang.String xml)` Construct Document Record from a XML String.

Method Summary
`java.lang.Object` | `clone()` Clone this Document Record.
`boolean` | `equals(java.lang.Object other)` Compares Document Record with pass Object.
`java.lang.String` | `getRecordName()` Get Document Record's name.
`java.lang.String` | `getRecordShortDescription()` Get Document Record's short description.
`int` | `hashCode()` Get Document Record's hash code.
`void` | `setRecordName(java.lang.String name)` Set the Document Record's name.
`void` | `setRecordShortDescription(java.lang.String description)` Set the Document Record's short description.

Methods inherited from class com.bea.document.internal.Document
`addAttribute, addAttribute, addDocumentData, addElement, addElement, addNode, forceParsed, fromXML, fromXML, fromXML, fromXML, fromXML, fromXML, getBooleanFrom, getBooleanFromFirst, getDateFrom, getDateFromFirst, getDateTimeFrom, getDateTimeFromFirst, getDocument, getDocumentData, getDocumentDefinition, getDocumentElement, getDocumentTypeName, getDoubleFrom, getDoubleFromFirst, getEncoding, getEntityResolver, getIntegerFrom, getIntegerFromFirst, getPublicID, getRawXML, getRootElementName, getStringFrom, getStringFromFirst, getSubDocuments, getSystemID, getTimeFrom, getTimeFromFirst, getValidating, getVerbose, isParsed, main, removeDocumentData, resetContextNode, serializeDocumentType, serializeDocumentType, serializeElement, serializeElement, serializeElement, setBooleanIn, setBooleanInFirst, setContextNode, setContextNode, setContextNode, setDateIn, setDateInFirst, setDateTimeIn, setDateTimeInFirst, setDocumentData, setDocumentDefinition, setDocumentElement, setDocumentImp, setDocumentTypeName, setDoubleIn, setDoubleInFirst, setEntityResolver, setIntegerIn, setIntegerInFirst, setPerThreadEntityResolver, setPublicID, setStringIn, setStringInFirst, setSystemID, setTimeIn, setTimeInFirst, setupForParse, setValidating, setVerbose, toXML, toXML, toXML`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentRecord

    public DocumentRecord()

  Default Document Record constructor.

### DocumentRecord

    public DocumentRecord(java.lang.String xml)
                   throws DocumentParseException,
                          DocumentException

  Construct Document Record from a XML String.

  Parameters:
    `xml` - - the XML String.

### DocumentRecord

    public DocumentRecord(org.w3c.dom.Element element)

  Construct Document Record from an Element.

  Parameters:
    `element` - - the Element.

### DocumentRecord

    public DocumentRecord(org.w3c.dom.Document doc)

  Construct Document Record from a DOM Document.

  Parameters:
    `org.w3c.dom.Document` - doc - the DOM Document.

### DocumentRecord

    public DocumentRecord(org.xml.sax.InputSource inputSource)
                   throws DocumentParseException,
                          DocumentException

  Construct Document Record from an SAX InputSource.

  Parameters:
    `org.xml.sax.InputSource` - inputSource - the SAX InputSource.

### DocumentRecord

    public DocumentRecord(IDocument doc)

  Construct Document Record from IDocument.

  Parameters:
    `IDocument` - - an IDocument.

Method Detail

### clone

    public java.lang.Object clone()

  Clone this Document Record.
  Specified by:
    clone in interface javax.resource.cci.Record

  Returns:
    - the cloned Document Record.
  Overrides:
    clone in class com.bea.document.internal.Document

### equals

    public boolean equals(java.lang.Object other)

  Compares Document Record with pass Object.
  Specified by:
    equals in interface javax.resource.cci.Record

  Parameters:
    `Object` - - the object to compare.
  Overrides:
    equals in class java.lang.Object

### getRecordName

    public java.lang.String getRecordName()

  Get Document Record's name.
  Specified by:
    getRecordName in interface javax.resource.cci.Record

### getRecordShortDescription

    public java.lang.String getRecordShortDescription()

  Get Document Record's short description.
  Specified by:
    getRecordShortDescription in interface javax.resource.cci.Record

### hashCode

    public int hashCode()

  Get Document Record's hash code.
  Specified by:
    hashCode in interface javax.resource.cci.Record

  Overrides:
    hashCode in class java.lang.Object

### setRecordName

    public void setRecordName(java.lang.String name)

  Set the Document Record's name.
  Specified by:
    setRecordName in interface javax.resource.cci.Record

  Parameters:
    `name` - - the name.

### setRecordShortDescription

    public void setRecordShortDescription(java.lang.String description)

  Set the Document Record's short description.
  Specified by:
    setRecordShortDescription in interface javax.resource.cci.Record

  Parameters:
    `description` - - the short description.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)